메인 콘텐츠로 건너뛰기
GET
/
v2
/
dexpools
/
{chain}
/
{poolAddress}
/
snapshots
DEX 풀 - 유동성 스냅샷
curl --request GET \
  --url https://api.chainstream.io/v2/dexpools/{chain}/{poolAddress}/snapshots \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "blockHeight": 123456789,
      "blockSlot": 123456789,
      "blockTimestamp": 1705312800000,
      "poolAddress": "58oQChx4yWmvKdwLLZzBi4ChoCc2fqCUWBkwMihLYQo2",
      "snapshotTime": 1705312800000,
      "tokenA": {
        "amountInNative": "5000.123",
        "amountInUsd": "1000000.45",
        "decimals": 6,
        "priceNative": "0.005",
        "priceUsd": "1.0001",
        "tokenAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
        "vaultAmount": "1000000000000"
      },
      "tokenB": {
        "amountInNative": "5000.123",
        "amountInUsd": "1000000.45",
        "decimals": 6,
        "priceNative": "0.005",
        "priceUsd": "1.0001",
        "tokenAddress": "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
        "vaultAmount": "1000000000000"
      },
      "tvlInNative": "5000",
      "tvlInUsd": "1000000.45"
    }
  ],
  "endCursor": "eyJpZCI6ImVuZCJ9",
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "eyJpZCI6InN0YXJ0In0="
}

Documentation Index

Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt

Use this file to discover all available pages before exploring further.

인증

Authorization
string
header
필수

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

경로 매개변수

chain
enum<string>
필수

지원되는 네트워크에 나열된 체인 이름 지원되는 블록체인

사용 가능한 옵션:
sol,
eth,
bsc
poolAddress
string
필수

풀 주소

쿼리 매개변수

cursor
string

페이지네이션 커서

limit
integer<int64>
기본값:20

페이지당 결과 수

direction
enum<string>
기본값:next

페이지네이션 방향

사용 가능한 옵션:
next,
prev
time
integer<int64>

스냅샷 조회를 위한 대상 Unix 타임스탬프

응답

200 - application/json

성공 응답

범용 페이지네이션 응답

data
object[]
필수

페이지 데이터

endCursor
string | null

현재 페이지 끝 커서

예시:

"eyJpZCI6ImVuZCJ9"

hasNext
boolean

다음 페이지 존재 여부

예시:

false

hasPrev
boolean

이전 페이지 존재 여부

예시:

false

startCursor
string | null

현재 페이지 시작 커서

예시:

"eyJpZCI6InN0YXJ0In0="